Last modified: 2012-10-19 22:58:01 UTC

Wikimedia Bugzilla is closed!

Wikimedia has migrated from Bugzilla to Phabricator. Bug reports should be created and updated in Wikimedia Phabricator instead. Please create an account in Phabricator and add your Bugzilla email address to it.
Wikimedia Bugzilla is read-only. If you try to edit or create any bug report in Bugzilla you will be shown an intentional error message.
In order to access the Phabricator task corresponding to a Bugzilla report, just remove "static-" from its URL.
You could still run searches in Bugzilla or access your list of votes but bug reports will obviously not be up-to-date in Bugzilla.
Bug 38591 - MediaWiki:Articlefeedbackv5-error-abuse prevents localisation
MediaWiki:Articlefeedbackv5-error-abuse prevents localisation
Status: RESOLVED FIXED
Product: MediaWiki extensions
Classification: Unclassified
ArticleFeedbackv5 (Other open bugs)
master
All All
: Normal normal (vote)
: ---
Assigned To: Nobody - You can work on this!
: i18n
Depends on:
Blocks: messages
  Show dependency treegraph
 
Reported: 2012-07-23 11:32 UTC by Nemo
Modified: 2012-10-19 22:58 UTC (History)
3 users (show)

See Also:
Web browser: ---
Mobile Platform: ---
Assignee Huggle Beta Tester: ---


Attachments

Description Nemo 2012-07-23 11:32:01 UTC
Gerrit change #15708 injected the en.wiki URL in the message. This makes it impossible to translate this message properly (either you link to English from  non-English message or you drop the link), local configuration should be separate from message language.
Comment 1 Matthias Mullie 2012-07-24 14:08:01 UTC
I'm not sure how to go about this another way; should I get it out of that message and into a separate message, or did I misunderstand what you're saying?
Comment 2 Niklas Laxström 2012-07-25 13:26:30 UTC
Since it looks like that message is parsed as wikitext you can do like this:

'articlefeedbackv5-error-abuse' => 'Your post has been rejected by a software 
filter that suggests it may have violated the [$1 feedback guidelines] of {{SITENAME}}. Please revise your post and try again.',
'some-other-message' => '//en.wikipedia.org/wiki/Wikipedia:Feedback_guidelines'

Then you need to do something similar to:
$target = wfMessage( 'some-other-message' )->inContentLanguage()->plain();
$output = wfMessage( 'articlefeedbackv5-error-abuse', $target )->parse();

This way each wiki can overwrite 'some-other-message' locally, while the actual message is shown in the user language.

Should also include message documentation that these two messages are related in a way.

I think you already started going this way, but I hope this helps.
Comment 3 Matthias Mullie 2012-08-28 21:07:18 UTC
Pushed to Gerrit (https://gerrit.wikimedia.org/r/#/c/21746/) & prototype
Comment 4 Amir E. Aharoni 2012-10-19 18:41:57 UTC
Is this fixed?

Note You need to log in before you can comment on or make changes to this bug.


Navigation
Links